Package com.google.android.exoplayer2

## Class MediaItem.AdsConfiguration

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.AdsConfiguration

- Enclosing class:
    MediaItem

      public static final class MediaItem.AdsConfiguration
      extends Object

  Configuration for playing back linear ads with a media item.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MediaItem.AdsConfiguration.Builder` | Builder for `MediaItem.AdsConfiguration` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Object` | `adsId` | An opaque identifier for ad playback state associated with this item, or `null` if the combination of the `media ID` and `ad tag URI` should be used as the ads identifier.
    `Uri` | `adTagUri` | The ad tag URI to load.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem.AdsConfiguration.Builder` | `buildUpon()` | Returns a `MediaItem.AdsConfiguration.Builder` initialized with the values of this instance.
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### adTagUri

          public final Uri adTagUri

      The ad tag URI to load.

    - #### adsId

          @Nullable
          public final Object adsId

      An opaque identifier for ad playback state associated with this item, or `null` if the combination of the `media ID` and `ad tag URI` should be used as the ads identifier.

      Media items in the playlist that have the same ads identifier and ads loader share the same ad playback state. To resume ad playback when recreating the playlist on returning from the background, pass the same ads identifiers to the player.

  - ### Method Detail

    - #### buildUpon

          public MediaItem.AdsConfiguration.Builder buildUpon()

      Returns a `MediaItem.AdsConfiguration.Builder` initialized with the values of this instance.

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`